summaryrefslogtreecommitdiff
path: root/source3/script/tests
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2012-01-09 10:18:37 +1100
committerAndrew Bartlett <abartlet@samba.org>2012-01-09 10:56:27 +1100
commitc017c3ec8e75106d893fe3b68fca34c75b513830 (patch)
tree6689ef74af645a754c9db87e0cfaafaa9d8ee6c3 /source3/script/tests
parent319209592d25872bc6b05b5fad5666ccc32cdc2a (diff)
downloadsamba-c017c3ec8e75106d893fe3b68fca34c75b513830.tar.gz
samba-c017c3ec8e75106d893fe3b68fca34c75b513830.tar.bz2
samba-c017c3ec8e75106d893fe3b68fca34c75b513830.zip
s3-selftest: Add test for smbclient kerberos support
Diffstat (limited to 'source3/script/tests')
-rwxr-xr-xsource3/script/tests/test_smbclient_krb5.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/source3/script/tests/test_smbclient_krb5.sh b/source3/script/tests/test_smbclient_krb5.sh
new file mode 100755
index 0000000000..02117dc335
--- /dev/null
+++ b/source3/script/tests/test_smbclient_krb5.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: test_smbclient.sh ccache smbclient3 server <smbclient args>
+EOF
+exit 1;
+fi
+
+KRB5CCNAME=$1
+export KRB5CCNAME
+SMBCLIENT3=$2
+SERVER=$3
+shift 3
+ADDARGS="$*"
+
+incdir=`dirname $0`/../../../testprogs/blackbox
+. $incdir/subunit.sh
+testit "smbclient" $VALGRIND $SMBCLIENT3 //$SERVER/tmp -c 'ls' -k $ADDARGS || failed=`expr $failed + 1`
+
+testok $0 $failed